# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeAxisPlacement Class Reference

This class implements the mapping between classes
Axis2Placement2d from Step and AxisPlacement from Geom2d
.

`#include <StepToGeom_MakeAxisPlacement.hxx>`

Inheritance diagram for StepToGeom_MakeAxisPlacement:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeAxisPlacement (const Handle(StepGeom_Axis2Placement2d)&A)
Standard_EXPORT const Handle_Geom2d_AxisPlacement & | Value () const

## Private Attributes

Handle_Geom2d_AxisPlacement | theAxisPlacement

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeAxisPlacement::StepToGeom_MakeAxisPlacement | ( | const Handle(StepGeom_Axis2Placement2d)& | A | ) |

## Member Function Documentation

void StepToGeom_MakeAxisPlacement::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeAxisPlacement::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeAxisPlacement::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom2d_AxisPlacement& StepToGeom_MakeAxisPlacement::Value | ( |  | ) | const

## Field Documentation

Handle_Geom2d_AxisPlacement StepToGeom_MakeAxisPlacement::theAxisPlacement `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeAxisPlacement.hxx